Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.s9api
Class SaxonApiException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.sf.saxon.s9api.SaxonApiException

All Implemented Interfaces:
  Serializable

    public class SaxonApiException

extends Exception

An exception thrown by the Saxon s9api API. This is always a wrapper for some other underlying exception

See Also:
  Serialized Form

Constructor Summary
`SaxonApiException(String message)` Create a SaxonApiException
`SaxonApiException(String message, Throwable cause)` Create a SaxonApiException
`SaxonApiException(Throwable cause)` Create a SaxonApiException

Method Summary
`QName` | `getErrorCode()` Get the error code associated with the exception, if there is one
`String` | `getMessage()` Returns the detail message string of this throwable.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SaxonApiException

    public SaxonApiException(Throwable cause)

  Create a SaxonApiException

  Parameters:
    `cause` - the underlying cause of the exception

### SaxonApiException

    public SaxonApiException(String message)

  Create a SaxonApiException

  Parameters:
    `message` - the message

### SaxonApiException

    public SaxonApiException(String message,
                             Throwable cause)

  Create a SaxonApiException

  Parameters:
    `message` - the message
    `cause` - the underlying cause of the exception

Method Detail

### getMessage

    public String getMessage()

  Returns the detail message string of this throwable.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    the detail message string of this `Throwable` instance (which may be `null`).

### getErrorCode

    public QName getErrorCode()

  Get the error code associated with the exception, if there is one

  Returns:
    the associated error code, or null if no error code is available
  Since:
    9.3

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.